| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::AuthenticationTLSCertificateInterface Class Reference

`#include <TelepathyQt/TLSCertificate>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply Accept (int timeout=-1)
- QDBusPendingReply Reject (const Tp::TLSCertificateRejectionList &rejections, int timeout=-1)

## Signals

- void Accepted ()
- void Rejected (const Tp::TLSCertificateRejectionList &rejections)

## Public Member Functions

- AuthenticationTLSCertificateInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- AuthenticationTLSCertificateInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- AuthenticationTLSCertificateInterface (Tp::DBusProxy *proxy)
- AuthenticationTLSCertificateInterface (const Tp::AbstractInterface &mainInterface)
- AuthenticationTLSCertificateInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyState () const
- Tp::PendingVariant * requestPropertyRejections () const
- Tp::PendingVariant * requestPropertyCertificateType () const
- Tp::PendingVariant * requestPropertyCertificateChainData () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Authentication.TLSCertificate".

## Constructor & Destructor Documentation

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AuthenticationTLSCertificateInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AuthenticationTLSCertificateInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a AuthenticationTLSCertificateInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const Tp::AbstractInterface & | mainInterface | ) | `[explicit]`

Creates a AuthenticationTLSCertificateInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a AuthenticationTLSCertificateInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::AuthenticationTLSCertificateInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Authentication.TLSCertificate", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyState | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `State` of type `uint`.

The current state of this certificate. State change notifications happen by means of the Accepted and Rejected signals.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyRejections | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Rejections` of type `Tp::TLSCertificateRejectionList`.

If the State is Rejected, an array of TLS_Certificate_Rejection structures containing the reason why the certificate is rejected.

If the State is not Rejected, this property is not meaningful, and SHOULD be set to an empty array.

The first rejection in the list MAY be assumed to be the most important; if the array contains more than one element, the CM MAY either use the values after the first, or ignore them.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyCertificateType | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `CertificateType` of type `QString`.

The type of this TLS certificate (e.g. 'x509' or 'pgp'). This property is immutable

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyCertificateChainData | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `CertificateChainData` of type `Tp::ByteArrayList`.

One or more TLS certificates forming a trust chain, each encoded as specified by Certificate_Data.

The first certificate in the chain MUST be the server certificate, followed by the issuer's certificate, followed by the issuer's issuer and so on.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::AuthenticationTLSCertificateInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::AuthenticationTLSCertificateInterface::Accept | ( | int | timeout = `-1` | ) | `[inline, slot]`

Begins a call to the D-Bus method `Accept` on the remote object.

Accepts this certificate, i.e. marks it as verified.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::AuthenticationTLSCertificateInterface::Reject | ( | const Tp::TLSCertificateRejectionList & | rejections,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `Reject` on the remote object.

Rejects this certificate.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  rejections | The new value of the Rejections property. This MUST NOT be an empty array.
  timeout | The timeout in milliseconds.

void Tp::Client::AuthenticationTLSCertificateInterface::Accepted | ( |  | ) | `[signal]`

Represents the signal `Accepted` on the remote object.

The State of this certificate has changed to Accepted.

void Tp::Client::AuthenticationTLSCertificateInterface::Rejected | ( | const Tp::TLSCertificateRejectionList & | rejections | ) | `[signal]`

Represents the signal `Rejected` on the remote object.

The State of this certificate has changed to Rejected.

Parameters:

  rejections | The new value of the Rejections property.

void Tp::Client::AuthenticationTLSCertificateInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.